# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2014 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               vimpc
Version:            0.09.0
Release:            1.4
Summary:            Curses Client for the Music Player Daemon
Source:             https://github.com/boysetsfrog/vimpc/archive/v%{version}.tar.gz
URL:                https://github.com/boysetsfrog/vimpc
Group:              Productivity/Multimedia/Sound/Players
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libmpdclient-devel
BuildRequires:      pcre-devel
BuildRequires:      ncurses-devel
BuildRequires:      taglib-devel
BuildRequires:      boost-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files

%description
vimpc is a curses-based client for the Music Player Daemon (mpd) that draws
inspiraton from vi/vim. It supports a vim-like rc file, mappable key bindings,
normal/ex modes, counts, searching, a music library, directory navigation,
playlist editing, and comprehensive help, is highly configurable and
customizable, and more. It is written with the intent to make vi users feel at
home when using mpd, but is also intuitive and very usable by non-vi users.

%prep
%setup -q

%build
[ -x ./configure ] || NO_CONFIGURE=1 ./autogen.sh
%configure \
    --docdir="%{_docdir}/%{name}" \
    --with-ncurses \
    --enable-boost=yes \
    --enable-taglib=yes

%__make %{?_smp_mflags} V=1

%install
%makeinstall V=1

%suse_update_desktop_file -c vimpc vimpc "%{_summary}" vimpc "" Audio AudioVideo Player

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.md
%doc doc/help.txt
%{_bindir}/vimpc
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man1/vimpc.1*

%changelog
* Fri Jan  3 2014 pascal.bleser@opensuse.org
- initial version (0.09.0)
